/** @file   vt100.c
 *  @brief  VT100 Termial
 *  @author Tom, DL7BJ
 */

#include "vt100.h"

/** @brief  Auswahlmenue über serielle Schnittstelle ausgeben
 *  @param  none
 *  @return none
 */
void SerialMenue(void)
{
    SerialWriteString("(1) Einstellungen anzeigen\r\n");
    SerialWriteString("(2) Einstellungen ändern\r\n");
    SerialWriteString("(3) Texte anzeigen\r\n");
    SerialWriteString("(4) Texte ändern\r\n");
    SerialWriteString("(5) Texte anhören\r\n");
    SerialWriteString("\r\nEingabe: ");
}
/** @brief  Aktuelle Einstellungen über serielle Schnittstelle ausgeben
 *  @param  none
 *  @return none
 */
void SerialSetup(void)
{
    sprintf(sdebug,"WpM             : %i\r\n", bConfig.WpM);
    SerialWriteString(sdebug);
    sprintf(sdebug,"KeyerMode       : %i\r\n", bConfig.KeyerMode);
    SerialWriteString(sdebug);
    sprintf(sdebug,"SidetoneFreq    : %u\r\n", bConfig.SidetoneFreq);
    SerialWriteString(sdebug);
    sprintf(sdebug,"TRX             : %i\r\n", bConfig.TRX);
    SerialWriteString(sdebug);
    sprintf(sdebug,"SidetoneEnabled : %i\r\n", bConfig.SidetoneEnabled);
    SerialWriteString(sdebug);
    sprintf(sdebug,"Ratio           : %i\r\n", bConfig.Ratio);
    SerialWriteString(sdebug);
    sprintf(sdebug,"WpMBpM          : %i\r\n", bConfig.WpMBpM);
    SerialWriteString(sdebug);
    sprintf(sdebug,"Reverse         : %i\r\n", bConfig.Reverse);
    SerialWriteString(sdebug);
    sprintf(sdebug,"Memory          : %i\r\n", bConfig.Memory);
    SerialWriteString(sdebug);
    sprintf(sdebug,"SpeedRatio      : %i\r\n", bConfig.SpeedRatioEnabled);
    SerialWriteString(sdebug);
    sprintf(sdebug,"RiseTime        : %i\r\n", bConfig.RiseTime);
    SerialWriteString(sdebug);
    sprintf(sdebug,"RiseTimeCounter : %i\r\n", bConfig.RiseTimeCounter);
    SerialWriteString(sdebug);
    sprintf(sdebug,"DebounceTime    : %i\r\n", bConfig.DebounceTime);
    SerialWriteString(sdebug);
}
/** @brief  Versionsinformation über serielle Schnittstelle ausgeben
 *  @param  none
 *  @return none
 */
void SerialAbout(void)
{
    sprintf(sdebug,"%s", CLRSCR);
    SerialWriteString(sdebug);
    sprintf(sdebug,"%s %s %s\r\n\r\n",PRG,VER,CALL);
    SerialWriteString(sdebug);
}

